Topic
4 replies Latest Post - ‏2012-11-16T18:11:49Z by SystemAdmin
SystemAdmin
SystemAdmin
14225 Posts
ACCEPTED ANSWER

Pinned topic JSF 2.0 on RAD 7.5...Urgent Help

‏2012-11-08T07:25:25Z |
Hi all,
I have RAD 7.5 with WAS 7.0 installed on my machine.I want to develop Web applications using JSF 2.0 but RAD 7.5 only has support for JSF 1.2.I heard that I should update my WAS to v8.5 to be able to develop applications using JSF 2.0.Is that right?
IF yes, please can anyone help me on how to install WAS 8.5 on RAD 7.5 providing links.
If no, please tell me how to develop JSF 2.0 applications using RAD 7.5??

Your help is very greatly appreciated.
Updated on 2012-11-16T18:11:49Z at 2012-11-16T18:11:49Z by SystemAdmin
  • SystemAdmin
    SystemAdmin
    14225 Posts
    ACCEPTED ANSWER

    Re: JSF 2.0 on RAD 7.5...Urgent Help

    ‏2012-11-08T08:29:11Z  in response to SystemAdmin
    Hi,

    The question is what you want to do.

    RAD 7.5 supports WAS up to 7.0 and thus JSF 1.2 from tooling standpoint.
    RAD 8.0 and RAD 8.5 support JSF 1.2 and 2.0 from tooling standpoint.
    Install WAS test environments on RAD 7.5
    http://publib.boulder.ibm.com/infocenter/radhelp/v7r5/topic/com.ibm.rad.install.doc/topics/t_install_was_ute.html
    What´s new
    https://www.ibm.com/developerworks/wikis/display/rad/Rational+Application+Developer+Version+8.0+-+What%27s+New
    https://www.ibm.com/developerworks/wikis/display/rad/Rational+Application+Developer+V8.5+What%27s+New
    Recommended fixes
    http://www-01.ibm.com/support/docview.wss?rs=2042&uid=swg27014208
    http://www-01.ibm.com/support/docview.wss?rs=2042&uid=swg27018924

    WAS 7.0 does not ship a JSF 2.0 implementation. I am not sure how the situation looks like after WAS 7.0.0.19. You can check in the WebSphere forums.
    WAS 8.0 and WAS 8.5 ship a Myfaces 2.0 and Sun JSF 1.2 implementation. There is documentation in the WAS help on how to use third-party JSF implementations and how to switch between implementations.
    http://pic.dhe.ibm.com/infocenter/wasinfo/v8r0/index.jsp?topic=%2Fcom.ibm.websphere.nd.iseries.doc%2Finfo%2Fiseriesnd%2Fae%2Ftweb_jsf.html

    You can use third-party JSF implementations with WAS but then this means that the JSF implementation is part of your application and thus not supported by IBM.

    License-wise you can install the runtimes shipped with the particular RAD version for development. RAD 7.5 does not ship a WAS 8.0 and WAS 8.5.

    If I was you, I would use the latest RAD version since it ships both WAS 8.5, WAS 8.0 and WAS 7.0, also has the latest tooling.
    Install WAS 8.0 and 8.5 with RAD 8.5
    http://publib.boulder.ibm.com/infocenter/radhelp/v8r5/topic/com.ibm.rad.install.doc/topics/t_install_was85.html
    http://publib.boulder.ibm.com/infocenter/radhelp/v8r5/index.jsp?topic=%2Fcom.ibm.rad.install.doc%2Ftopics%2Ft_install_was8.html

    Regards,
    Michael

    The postings on this site are my own and don't necessarily represent IBM's positions, strategies or opinions.
  • SystemAdmin
    SystemAdmin
    14225 Posts
    ACCEPTED ANSWER

    Re: JSF 2.0 on RAD 7.5...Urgent Help

    ‏2012-11-08T11:11:27Z  in response to SystemAdmin
    Thank you very much for your appreciated help.

    I think I'll take your advice and upgrade to RAD 8.0.3, I think WAS 8 is shipped with it, but what if i wanted to upgrade to WAS 8.5, will there be a problem in that?

    Thanks again
    • SystemAdmin
      SystemAdmin
      14225 Posts
      ACCEPTED ANSWER

      Re: JSF 2.0 on RAD 7.5...Urgent Help

      ‏2012-11-08T11:28:21Z  in response to SystemAdmin
      Hi,

      RAD 8.0.x does not support WAS 8.5 but only up to WAS 8.0.

      You should not upgrade to RAD 8.0.3 but download 8.0.3 packages and update then to 8.0.4.1 which is currently the latest available version.

      You are of course free to create an EAR file within RAD 8.0.x and install it via the admin console by hand on WAS 8.5. You would still need a separate license for WAS 8.5 if you use RAD 8.0.x.

      Regards,
      Michael
      • SystemAdmin
        SystemAdmin
        14225 Posts
        ACCEPTED ANSWER

        Re: JSF 2.0 on RAD 7.5...Urgent Help

        ‏2012-11-16T18:11:49Z  in response to SystemAdmin
        For full support of JSF 2.0 and Facelets, you should go to RAD 8.5. Its a considerable leap from 8.0.x. It fully supports the Java EE 6 stack.